<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from optkelley_gradproj.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="optkelley_gradproj" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 02-Jun-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>optkelley_gradproj</refname><refpurpose>Gradient projection with Armijo rule, simple linesearch</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [x,histout,costdata] = optkelley_gradproj(x0,f,up,low,tol,maxit)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
This code comes with no guarantee or warranty of any kind.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x0:</term>
      <listitem><para> initial iterate</para></listitem></varlistentry>
   <varlistentry><term>f:</term>
      <listitem><para> objective function, the calling sequence for f should be [fout,gout]=f(x) where fout=f(x) is a scalar and gout = grad f(x) is a COLUMN vector</para></listitem></varlistentry>
   <varlistentry><term>up:</term>
      <listitem><para> vector of upper bounds</para></listitem></varlistentry>
   <varlistentry><term>low:</term>
      <listitem><para> vector of lower bounds</para></listitem></varlistentry>
   <varlistentry><term>tol:</term>
      <listitem><para> termination criterion norm(grad) &lt; tol, optional, default = 1.d-6</para></listitem></varlistentry>
   <varlistentry><term>maxit:</term>
      <listitem><para> maximum iterations (optional) default = 1000</para></listitem></varlistentry>
   <varlistentry><term>x:</term>
      <listitem><para> solution</para></listitem></varlistentry>
   <varlistentry><term>histout:</term>
      <listitem><para> iteration history. Each row of histout is [norm(grad), f, number of step length reductions, iteration count, relative size of active set]</para></listitem></varlistentry>
   <varlistentry><term>costdata:</term>
      <listitem><para> [num f, num grad, num hess] (for steep, num hess=0)</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>C. T. Kelley, June 11, 1998</member>
   <member>Yann Collette, Scilab port</member>
   <member>Michael Baudin, DIGITEO, 2010, Update to Scilab 5.2, formatted comments</member>
   </simplelist>
</refsection>
</refentry>
